Skip to main content
GET
List external accounts

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

customer_id
string<uuid>[]

A list of customer unique identifiers, with a comma separating any values.

Customer ID for the application

business_id
string<uuid>[]

A list of business unique identifiers, with a comma separating any values. Returns applications that are linked to the specified Business IDs.

Business ID for the application. An application must have either a Business or a customer associated with it.

limit
integer
default:100

Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.

Required range: x >= 1
Example:

100

page_token
string

Optional pagination token to be provided to retrieve subsequent pages, returned from previous get

Example:

"a8937a0d"

include_history
boolean
default:false

If true, include old (inactive) records as well.

id
string<uuid>[]

External account ID(s). Multiple IDs can be provided as a comma-separated list.

Example:

"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"

nickname
string

A user-meaningful name for the account.

account_number
string
bank_routing
string

Response

List of external accounts

external_accounts
External account · object[]
required

Array of external accounts

next_page_token
string

If returned, use the next_page_token to query for the next page of results. Not returned if there are no more rows.

Example:

"a8937a0d"